GetIntegrationAttribute
GET
/api/v1/integrations/{integration}/attributes/{attribute}Fetch one attribute an integration syncs.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/integrations/{integration}/attributes/{attribute}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/integrations/{integration}/attributes/{attribute}"Set OBLIQUE_API_KEY to your API key.
Path parameters
namestringrequiredName of the attribute of the format
integrations/{integration}/attributes/{attribute}.
Response
200IntegrationAttributenamestringAssigned by Oblique.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlykeystringread-onlyThe key of the attribute.
valuesValue[]read-onlyThe detected values of the attribute.
valuestringread-onlycountstring (int64)read-only
valueCountstring (int64)read-onlyThe number of unique values for this attribute. This may be larger than the number of values in the
valuesfield if the attribute is truncated.unsetCountstring (int64)read-onlyThe number of users that don’t have this field set.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |